package Cameus;

import java.util.concurrent.locks.ReentrantLock;

public class CameusLock {
	
	public static boolean isCameus = true;
	public static ReentrantLock cameusLock = new ReentrantLock();
	
	
	public static void setIsCameus(){
		cameusLock.lock();
		isCameus = true;
		cameusLock.unlock();
	}
	public static void resetIsCameus(){
		cameusLock.lock();
		isCameus = false;
		cameusLock.unlock();	
	}
	public static boolean getIsCameus(){
		boolean x;
		cameusLock.lock();
		x = isCameus;
		cameusLock.unlock();
		return x;
	}
}

